Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229179 - check_whitelist and check_spamd scripts missing.
Summary: check_whitelist and check_spamd scripts missing.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 12:00 UTC by Martin
Modified: 2009-07-14 17:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:07:02 UTC


Attachments (Terms of Use)
Patch file for spamassassin that adds check_whitelist and check_spamd scripts. (deleted)
2007-02-19 12:00 UTC, Martin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
SpamAssassin 5873 None None None Never

Description Martin 2007-02-19 12:00:52 UTC
Description of problem:

The SA source contains 2 useful perl scripts, one to maintain the autowhitelist
database file and a nagios monitoring script. It would be helpful if you could
include them. I've attached a patch below (which you will may want to tweak a bit).

Version-Release number of selected component (if applicable):
3.1.8-1.fc6

Comment 1 Martin 2007-02-19 12:00:52 UTC
Created attachment 148315 [details]
Patch file for spamassassin that adds check_whitelist and check_spamd scripts.

Comment 2 Bug Zapper 2008-04-04 06:17:34 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Justin Mason 2008-04-04 08:46:34 UTC
this is still an issue against the current version.

fwiw, I think this is a good idea and have opened it upstream: 
https://issues.apache.org/SpamAssassin/show_bug.cgi?id=5873

Comment 4 Bryan O'Sullivan 2008-05-25 05:50:20 UTC
Still missing in F-9. Since I'd actually like to use check_whitelist, I'm
bumping the severity.

Comment 5 Kevin Fenzi 2008-12-16 00:33:36 UTC
It sounds like upstream is considering this for 3.0, but may rename the commands?

I don't see why we can't ship them now however. 
Will see about pushing the change into rawhide, and then if all looks well, 
the next upstream update we can push them into stable releases.

Comment 6 Kevin Fenzi 2008-12-16 05:49:14 UTC
I spoke too soon. These scripts are no longer shipped with 3.2.5 that I can see. 
Can you provide an updated patch with their locations?

Or perhaps they are called something else?

Comment 7 Martin 2008-12-16 14:32:44 UTC
The upstream report says that it is a milestone for the 3.3 release. I can't find any reason for their removal (actually they removed the entire tools/ and contrib/ folders in 3.2).

Comment 8 Kevin Fenzi 2008-12-16 20:34:38 UTC
ok, so what shall we do here? Wait until 3.3 and then add them when upstream does? If so, should we close this now? or leave it open?

Comment 9 Martin 2008-12-17 10:08:10 UTC
I think we should leave it open until the upstream bug report is closed.

Comment 10 Kevin Fenzi 2008-12-17 16:12:58 UTC
ok. Sounds fine to me. If you do notice anything related to this please do update the bug so we see it. 

I will also add the upstream bug linked to this.

Comment 11 Bug Zapper 2009-06-09 22:27:49 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-07-14 17:07:02 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.